{
  Component Names Property Editor 2.2

	Copyright 1997 Roelof Ensing, all rights reserved.

	By:					Roelof Ensing
  email:      EnsingRoel@msn.com

  This module handles any custom name property suggestions.

	For your own custom components specific processing for suggestions
	see the GetCustomSuggestion function
}

unit penamesx;

interface

uses
  Windows, SysUtils, Classes;

	function GetCustomSuggestion(AComponent:TComponent):string;

implementation

{ ==================================================================== }
{ Add here your own custom component's specific suggestions            }
{ ==================================================================== }

{ your custom units }

uses db, dbtables;

{ Get the suggested name }

function GetCustomSuggestion(AComponent:TComponent):string;
	function ExtractFileNameNoExt(AValue:string):string;
	begin
		Result:=ExtractFileName(AValue);
		if Pos('.',Result) <> 0 then
			Result:=Copy(Result,1,Pos('.',Result)-1);
	end;
begin
	Result:='';

 	if AComponent is TTable then
		Result:=ExtractFileNameNoExt(TTable(AComponent).TableName)
	else
	if AComponent is TDataSource then
	begin
		if TDataSource(AComponent).DataSet <> nil then
			if TDataSource(AComponent).DataSet is TTable then
				Result:=ExtractFileNameNoExt(TTable(TDataSource(AComponent).DataSet).TableName);

	{ Example, add your own components !!
	end
	else
  if AComponent is TXXGraphicRadioButton then
    Result:=TXXGraphicRadioButton(AComponent).Caption
  else
  if AComponent is TXXGraphicCheckBox then
    Result:=TXXGraphicCheckBox(AComponent).Caption
  else
 	if AComponent is TXXComboBoxEnhanced then
    Result:=TXXComboBoxEnhanced(AComponent).LabelCaption
  else
 	if AComponent is TXXListBoxEnhanced then
    Result:=TXXListBoxEnhanced(AComponent).LabelCaption
  else
 	if AComponent is TXXEditEnhanced then
    Result:=TXXEditEnhanced(AComponent).LabelCaption
  else
 	if AComponent is TXXMemoEnhanced then
    Result:=TXXMemoEnhanced(AComponent).LabelCaption
  }

	else
		Result:='';

end;

end.
